Bug 30949 - Sendmail doesn't log From: in most cases
Summary: Sendmail doesn't log From: in most cases
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-07 15:38 UTC by Fran Boon
Modified: 2014-03-17 02:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 18:33:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fran Boon 2001-03-07 15:38:55 UTC
Although the To: part is logged fine when mail is delivered, the From: 
line is virtually never logged as mail is accepted.
I have been unable to work out why it was on the rare occasion when it was.

Comment 1 Need Real Name 2002-02-20 17:03:58 UTC
I am also seeing this problem with different version of Sendmail and RH.  I 
have seen it with RH7.0 and Sendmail 8.9.3 and 8.12.2.

If I stop Sendmail and stop syslog and then start syslog and then start 
sendmail it will then log correctly again -- with the "from" line.

The sendmail people say it is a bug in syslog (from sendmail newsgroup): the 
likely cause is a broken syslog() function in the C library. Restarting the 
sendmail daemon should "fix" it until next time you restart the syslog
daemon

Comment 2 Oliver Schulze L. 2002-10-05 16:09:35 UTC
If you see a from=<> line in your /var/log/maillog, thats normal.
It is not imperative that sendmail shows the from= email in maillog.
Sometimes the smtp server that sends the email to sendmail, does not include
that line. It can be omited.


Note You need to log in before you can comment on or make changes to this bug.